// ANCHOR: here
#[derive(Debug)] // Abyśmy szybko mogli sprawdzić stan
enum UsState {
    Alabama,
    Alaska,
    // --snip--
}

enum Coin {
    Penny,
    Nickel,
    Dime,
    Quarter(UsState),
}
// ANCHOR_END: here

fn main() {}
